package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.AtlasScene;
import com.lightinit.hsdataportal.entity.AtlasSceneExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtlasSceneMapper {
    long countByExample(AtlasSceneExample example);

    int deleteByExample(AtlasSceneExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtlasScene record);

    int insertSelective(AtlasScene record);

    List<AtlasScene> selectByExampleWithBLOBs(AtlasSceneExample example);

    List<AtlasScene> selectByExample(AtlasSceneExample example);

    AtlasScene selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtlasScene record, @Param("example") AtlasSceneExample example);

    int updateByExampleWithBLOBs(@Param("record") AtlasScene record, @Param("example") AtlasSceneExample example);

    int updateByExample(@Param("record") AtlasScene record, @Param("example") AtlasSceneExample example);

    int updateByPrimaryKeySelective(AtlasScene record);

    int updateByPrimaryKeyWithBLOBs(AtlasScene record);

    int updateByPrimaryKey(AtlasScene record);
}